# opentl::cvprocess::OrientedDT Class Reference

Class for computing the oriented distance transform. More...

List of all members.

## Public Member Functions
int | computeOrientedDT (opentl::core::cvdata::Image &edges, opentl::core::cvdata::Image &orientedDTImage, int dh, int dv)
double | computeResidual_orientedDT (std::vector< int > &silhouettePos, std::vector< int > &silhouetteNorm, std::vector< opentl::core::cvdata::Image > &orientedDTImages, double R)
void | iterate_line (int &x, int &y, int &hcount, int &vcount, int &dh, int &dv)
| OrientedDT ()
void | silhouetteNormals (opentl::core::cvdata::Image &img, std::vector< int > &silhouettePos, std::vector< int > &silhouetteNorm, int win_size, double dthresh, std::vector< double > &normalsx, std::vector< double > &normalsy)
void | single_line_DT (opentl::core::cvdata::Image &edges, opentl::core::cvdata::Image &orientedDTImage, int dh, int dv, int x0, int y0)
| ~OrientedDT ()

## Detailed Description

Class for computing the oriented distance transform.

Author:
  Lili Chen <chenlil@in.tum.de>

## Constructor & Destructor Documentation

opentl::cvprocess::OrientedDT::OrientedDT | ( |  | ) |

opentl::cvprocess::OrientedDT::~OrientedDT | ( |  | ) |

## Member Function Documentation

int opentl::cvprocess::OrientedDT::computeOrientedDT | ( | opentl::core::cvdata::Image & | edges,
|  | opentl::core::cvdata::Image & | orientedDTImage,
|  | int | dh,
|  | int | dv |
| ) |  |  |

double opentl::cvprocess::OrientedDT::computeResidual_orientedDT | ( | std::vector< int > & | silhouettePos,
|  | std::vector< int > & | silhouetteNorm,
|  | std::vector< opentl::core::cvdata::Image > & | orientedDTImages,
|  | double | R |
| ) |  |  |

void opentl::cvprocess::OrientedDT::iterate_line | ( | int & | x,
|  | int & | y,
|  | int & | hcount,
|  | int & | vcount,
|  | int & | dh,
|  | int & | dv |
| ) |  |  |

void opentl::cvprocess::OrientedDT::silhouetteNormals | ( | opentl::core::cvdata::Image & | img,
|  | std::vector< int > & | silhouettePos,
|  | std::vector< int > & | silhouetteNorm,
|  | int | win_size,
|  | double | dthresh,
|  | std::vector< double > & | normalsx,
|  | std::vector< double > & | normalsy |
| ) |  |  |

void opentl::cvprocess::OrientedDT::single_line_DT | ( | opentl::core::cvdata::Image & | edges,
|  | opentl::core::cvdata::Image & | orientedDTImage,
|  | int | dh,
|  | int | dv,
|  | int | x0,
|  | int | y0 |
| ) |  |  |